Subject: RE: [Sip] solving early media, HERFP, and unifying manyfolks

From: "Sanjoy Sen"<[email-masked]>
Date: Fri, 1 Feb 2002 11:03:24 -0600

The OBCI bit doesn't always help because its optional. The BCI bits tell the
Gateway whether the called party is (1) free, (2) busy, and (3) Status
unknown - which doesn't really help to deduce whether there would be EM or
not (and hence, whether to send 183 w/SDP or 180). Detecting media at
Gateway will work (as Jonathan proposed) if the GW can report this to MGC
but this is complex.

Then there's a requirement from SG11 to allow playing remote ring-back
always (this is needed for International calls where the tones would vary),
so I guess the only solution is for the MGC to always assume that EM will be
present from the PSTN and always send an 183 offer. Thoughts?

Sanjoy

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, February 01, 2002 1:13 AM
> To: [email-masked]
> Cc: Jonathan Rosenberg; Sen, Sanjoy [NGC:B692:EXCH]; [email-masked]
> Subject: Re: [Sip] solving early media, HERFP, and unifying manyfolks
> 
> 
> 
> 
> 
> Hi ,
> 
> The inband information indicator in OBCI (optional backward 
> call indicator) of
> ACM indicates that
> the inband information is present from SCN. Based on this 
> information the
> gateway switches the reverse media
> path and sends the early media answer sdp in 183 and the 
> announcements will be
> played in the sip terminal.
> Otherwise the gateway is going to respond with 180  and the 
> local rbt  will be
> applied in the SIP terminal.
> 
> Rgds,
> -Elias
> 
> 
> 
> 
> 
> [email-masked] on 02/01/2002 11:27:54 AM
> 
> To:   Jonathan Rosenberg <[email-masked]>
> cc:   Sanjoy Sen <[email-masked]>, [email-masked] 
> (bcc: Mohamed Ibrahim
>       Elias/HSS)
> 
> Subject:  Re: [Sip] solving early media, HERFP, and unifying manyfolks
> 
> 
> 
> 
> 
> 
> Backwards Call Indicator (BCI) parameter of the ACM indicates
>    that interworking has been encountered (generally designating that
>    the ISUP network sending the ACM is interworking with a less
>    sophisticated network which cannot support cause codes), then there
>    may be in-band announcements of call status such as an audible busy
>    tone or caller intercept message.
> 
> rgds
> Sumit
> Hughes Software Systems
> 
> 
> 
> 
> Jonathan Rosenberg <[email-masked]> on 02/01/2002 10:12:54 AM
> 
> To:   Sanjoy Sen <[email-masked]>
> cc:   [email-masked] (bcc: Sumit Dhar/HSSBLR)
> 
> Subject:  Re: [Sip] solving early media, HERFP, and unifying manyfolks
> 
> 
> 
> 
> 
> 
> Sanjoy Sen wrote:
> >
> 
> > > There is no difference between early media and media. 
> Local alerting
> > > would presumably take place as a local implementation 
> choice once a
> > > suitable provisional response (180, typically) has been 
> received to
> > > indicate that the far end is, in fact, ringing. It would
> > > continue until
> > > the establishment of the session, early or otherwise. As a
> > > result, a 183
> > > w/SDP finalizes the establishment of the session, and so that
> > > would stop
> > > any local ringback.
> > >
> > > I suppose that suspension of the session, with port zero, 
> before the
> > > dialog is completed, would be a way to signal a UAC to 
> revert back to
> > > local ringback, if that functionality was needed.
> >
> > Yes, but there would a problem with general PSTN 
> interworking. When the
> > MGC receives an ACM/Alerting message, it has no way to definitively
> > infer whether the PSTN would generate early media (e.g., remote
> > Ring-back or announcement). So, on receipt of ACM, the MGC 
> may send an
> > 180 (as you said) to the SIP phone which starts playing 
> local ringing
> > (by local implementation choice), but then any early media 
> which might
> > be coming through the gateway will be lost (the EM flow can start
> > anytime after the ACM is issued). I was wondering what kind 
> of rules do
> > we need to specify to solve this issue and whether its at 
> all solvable
> > by rules alone.
> 
> I don't get the problem. Once the gateway receives media, it can
> establish the session by sending an offer in an UPDATE.
> 
> Also, I thought there was some bit somewhere in the ACM which 
> indicated
> that ringback was inband...
> 
> -Jonathan R.
> 
> 
> --
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> 
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> 
> 
> 
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 02 Feb 2002 00:12:34 -0500

Sanjoy Sen wrote:
> 
> The OBCI bit doesn't always help because its optional. The BCI bits tell
> the Gateway whether the called party is (1) free, (2) busy, and (3)
> Status unknown - which doesn't really help to deduce whether there would
> be EM or not (and hence, whether to send 183 w/SDP or 180). Detecting
> media at Gateway will work (as Jonathan proposed) if the GW can report
> this to MGC but this is complex.
> 
> always (this is needed for International calls where the tones would
> vary), so I guess the only solution is for the MGC to always assume that
> EM will be present from the PSTN and always send an 183 offer. Thoughts?

Its a gateway implementation issue. The spec allows for whatever you
need, early media now, later, never, or always.

-Jonathan R.